﻿using ComboSample.Models;
using Infragistics.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;


namespace ComboSample.Controllers
{
    public class DialogController : Controller
    {
        // GET: Dialog
        public ActionResult Index()
        {
            var user = new User
            {
                Id = 1,
                Username = "John.Doe",
              
            };

            return View(user);
        }

        public ActionResult Edit()
        {
            return Content("Edited");
        }

        [ComboDataSourceAction]
        public ActionResult Countries()
        {
            var countries = new List<Country>
            {
                new Country { Id = "US" },
                new Country { Id = "UK" }
            };

            return View(countries.AsQueryable());
        }


    }
}